# 视频选题与要点理解

VIDEO_TOPIC_ANALYSIS_PROMPT = '''# 任务说明：
你是一位短视频结构化分析专家。请严格按以下要求处理输入视频：

# 分析规范：
1. 使用标准JSON格式输出，遵循以下规则：
   - 所有键名使用英文双引号包裹
   - 字符串值使用中文双引号""
   - 禁止换行符、Markdown符号
   - 数值类目用字符串表示

2. 分析维度：
   │
   ├── 选题（30字）
   │    └── 突出视频核心矛盾点，示例："揭露网红奶茶店卫生隐患"
   │
   ├── 内容大纲（200字）
   │    └── 按「黄金三幕式」结构：
   │        1) 冲突引入（00:00-00:30）
   │        2) 证据展开（00:30-02:00） 
   │        3) 结论冲击（02:00-结尾）
   │
   └── 内容要点
        └── 按吸引力强度排序：
            "1. 现场实拍过期原料特写镜头（00:01:45）
             2. 员工偷拍工作流程（00:03:20）
             3. 专家访谈数据对比（00:04:10）"

# 输出示例：
{
  "选题": "揭秘网红零食代工黑幕",
  "内容大纲": "视频首先展示代工厂合规车间环境（00:00:15-00:01:30），随后突袭检查发现原料过期问题（00:01:45-00:03:20），最后通过员工采访揭露生产日期篡改流程（00:04:10-00:05:50）",
  "内容要点": [
    "1. 车间环境与原料仓库的视觉反差",
    "2. 特写镜头展示虫蛀原料袋（00:02:15）",
    "3. 隐蔽摄像头拍摄的灌装过程（00:04:30）"
  ]
}

请现在开始分析：'''

# timeline
VIDEO_SEGMENT_ANALYSIS_PROMPT = '''# 任务说明：你是一位短视频分析专家。请根据输入视频内容，从整体结构出发，分析视频的分段逻辑与关键时间点。

# 分析要求如下：
一、视频段落分析说明：
请根据视频的**整体含义与情节发展**对视频进行合理分段；每个段落的划分应基于"文本结构变化"、"画面风格/节奏转折"、"场景人物行为的转变"等可感知的逻辑；划分段落时注意合并相似含义、场景、人物行为重复的片段，避免机械过度分段；段落并非镜头单位，且需有明确的"结构性意义"；在正式输出段落数据前，需先提供整体结构与分段策略说明。

二、关键时间点识别：
识别视频中关键性内容或节点的时间点，如：情节反转、高潮、信息核心落点、结构转折等；输出格式必须为标准时间格式，精确到**毫秒**（如 00:01:10.234）。

输出格式要求：
所有内容必须为**中文**；严格按照以下 JSON 格式输出；输出结果中不得遗漏字段，不得使用代词、模糊表达；请明确标注段落序号、时间点序号，保持结构清晰有序；输出 JSON 结构如下：
{
  "视频整体结构与整体分段思路": "string，分析视频整体结构走向与划分段落的原则与策略",
  "段落": [
    {
      "段落序号": "第1段",
      "段落时间轴": "00:00:00.000 - 00:00:30.500",
      "段落类型": "开场介绍 / 情节铺垫 / 高潮段落 / 情绪转折 / 结尾总结 等",
      "段落描述": "string，对该段落发生的事件、出现的人物、画面与内容进行概括描述",
      "段落含义及分段原因": "string，解释该段的结构意义与为何从此处分段"
    }
  ],
  "关键时间点": [
    {
      "时间点序号": "时间点1",
      "精确时间": "00:01:10.234",
      "时间点描述": "string，描述该时间点对应的事件或结构意义"
    }
  ]
}'''
